GET /api/v3/digital-boards/constants/transact-channel-classes¶
Summary¶
GET /digital-boards/constants/transact-channel-classes
Description¶
Returns a list of transact channel classes for the transact_channel_class field
on the digital_board object.
This is used to determine the ways in which this board can be transacted or purchased.
Tags: digital-boards
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)transact_channel_classes(array)-
Array items:
objectType:objectProperties:
class(string)class_name(string)class_description(string)
Example Response¶
{
"success": true,
"transact_channel_classes": [
{
"class": "App\\LuCore\\DigitalBoards\\TransactChannels\\ContractTransactChannelClass",
"class_name": "Contract",
"class_description": "This screen can be purchased directly from the owner or\n media buyer for a contracted fixed price over a period of time"
},
{
"class": "App\\LuCore\\DigitalBoards\\TransactChannels\\ProgrammaticTransactChannelClass",
"class_name": "Programmatic",
"class_description": "This screen can be purchased programmatically though\n an exchange or other programmatic means"
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/digital-boards/constants/transact-channel-classes" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/digital-boards/constants/transact-channel-classes"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/digital-boards/constants/transact-channel-classes',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/digital-boards/constants/transact-channel-classes'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"transact_channel_classes": [
{
"class": "App\\LuCore\\DigitalBoards\\TransactChannels\\ContractTransactChannelClass",
"class_name": "Contract",
"class_description": "This screen can be purchased directly from the owner or\n media buyer for a contracted fixed price over a period of time"
},
{
"class": "App\\LuCore\\DigitalBoards\\TransactChannels\\ProgrammaticTransactChannelClass",
"class_name": "Programmatic",
"class_description": "This screen can be purchased programmatically though\n an exchange or other programmatic means"
}
]
}